# $Id: kernel-modules-svgalib_helper.spec,v 1.13 2007/11/13 11:13:00 vsu Exp $

%define module_name	svgalib_helper
%define module_release	alt4
%define module_version	1.9.25

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for svgalib.
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.12
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.arava.co.il/matan/svgalib/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

Patch0: %module_name-1.9.25-all_devices_non_static.patch
Patch1: %module_name-1.9.25-alt-compile-fix.patch
Patch2: %module_name-1.9.25-alt-no_more_devfs-fix.patch

%description
svgalib kernel helper module for Linux kernel.

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32" \
%else
CC="gcc-$GCC_VERSION" \
%endif
KDIR=%_usrsrc/linux-%kversion-%flavour/

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
%__cp -a svgalib_helper.o $RPM_BUILD_ROOT/%module_dir
%else
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Sun Feb 10 2008 Sergey Vlasov <vsu@altlinux.ru> 1.9.25-alt4.132626.12
- Build for kernel-image-std-smp-2.6.18-alt12.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.9.25-alt4
- Removed unneeded "Prereq: modutils".

* Sun Nov 19 2006 L.A. Kostis <lakostis@altlinux.org> 1.9.25-alt3
- Fix compile w/ 2.6.18+ kernels.

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 1.9.25-alt2
- add hack for %%ix86 cross-build on x86_64 host.

* Wed Sep 27 2006 L.A. Kostis <lakostis@altlinux.ru> 1.9.25-alt1
- 1.9.25.
- Remove obsoleted patches.
- Fixed build for 2.4.x kernels.

* Sat Jul 01 2006 LAKostis <lakostis at altlinux.ru> 1.9.23-alt5
- Fix invalid all_device param (patch from http://bugs.gentoo.org/show_bug.cgi?id=133936).

* Sun Apr 02 2006 LAKostis <lakostis at altlinux.ru> 1.9.23-alt4
- Fix build with 2.6.15+ kernels.

* Thu Feb 16 2006 LAKostis <lakostis at altlinux.ru> 1.9.23-alt3
- Enable x86_64 build.

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 1.9.23-alt2
- Fixed build for 2.4.x kernels.

* Mon Dec 12 2005 LAKostis <lakostis at altlinux.ru> 1.9.23-alt1
- 1.9.23.

* Sat Jun 18 2005 LAKostis <lakostis at altlinux.ru> 1.9.21-alt1
- initial build for Sisyphus.


